body{
    font-size: clamp(14px, 0.8vw, 16px);
}
.section{
    min-height: 78vh;
}
.container-fluid{
    max-width: clamp(1300px, 80vw, 1600px) !important;
}
/* дропдавн при регистрации */
.k-treeview-item {
    white-space: normal !important;
    word-break: break-word !important;
    padding-left: 27px !important;
}
.k-treeview-toggle .k-icon {
    padding-right:6px !important;
    box-sizing: content-box;
}
#achievementForm .k-picker {
    min-height: 36px;
    background-color: #ffffff;
}
#register-form .k-picker {
    min-height: 42px;
    background-color: #ffffff;
}
.cursor-pointer{
    cursor:pointer!important;
}
#navmenu-mobile {
    position: absolute;
    top: 100%;
    right: 0;
    width: 100%;
    background: white;
    padding: 1rem;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    z-index: 9999;
}

#navmenu-mobile a {
    color: black;
    text-decoration: none;
    display: block;
    padding: 0.5rem 0;
}

#navmenu-mobile ul {
    list-style: none;
}
.edit-btn:hover{
    color:blue!important;
}
.delete-btn:hover{
    color:red!important;
}
.auth-switch {
    font-size: 18px;
    margin-bottom: 20px;
}

.auth-switch span {
    cursor: pointer;
    text-decoration: underline;
    margin: 0 5px;
    color: gray;
}

.auth-switch .active {
    color: black;
    font-weight: bold;
    text-decoration: none;
}

.d-none {
    display: none;
}
.list-group-numbered > li::before {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    font-weight: bold;
    margin-bottom: 0.5rem;
    content: counter(list-item) ". ";
}

.ach-item {
    padding-block:1rem;
    width:100%;
    padding-inline: 1.5rem;
    position: relative;
    counter-increment: list-item;
    background-color: #ffffff;
    border: unset;
    border-radius: 0.5rem;
    -webkit-box-shadow: 0px 5px 8px 2px rgba(34, 60, 80, 0.12);
    -moz-box-shadow: 0px 5px 8px 2px rgba(34, 60, 80, 0.12);
    box-shadow: 0px 5px 8px 2px rgba(34, 60, 80, 0.12);
}

.achievement-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 0.5rem;
    flex-wrap: wrap;
    font-size: 0.9rem;
    margin-bottom: 0.5rem;
}

.achievement-text {
    flex: 1;
    min-width: 40%;
}

.achievement-actions {
    display: flex;
    gap: 0.25rem;
}

.achievement-img-group {
    display: flex;
    gap: 0.5rem;
    flex-wrap: wrap;
}

.achievement-img {
    max-width: 80px;
    object-fit: cover;
    height: auto;
    display: block;
}

.edit-btn, .delete-btn {
    font-size: 0.8rem;
    padding: 0.2rem 0.5rem;
}
.h5, h5 {
    font-size: 1.15rem;
}

@media(max-width:576px){
    #contact{
        padding-top:1rem;
    }
}